> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notte.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Persona Emails List



## OpenAPI

````yaml https://api.notte.cc/openapi.json get /personas/{persona_id}/emails
openapi: 3.1.0
info:
  title: Notte API
  description: >-
    Notte API is a REST API that allows you to interact with Notte. It is used
    to create cloud browser sessions, scrape webpages, and run web ai agents to
    act on your behalf on the internet.
  version: 1.4.40
  x-logo:
    url: https://www.notte.cc/images/logo/logo-white.png
servers: []
security: []
tags:
  - name: agents
    description: Web AI agents (start, stop, status, replay, etc.)
  - name: sessions
    description: Session management (start, stop, status, etc.)
  - name: debug
    description: Session debugging tools (replay,logs, recording, etc.)
  - name: page
    description: Page operations withing a session (observe, step, scrape, etc.)
  - name: storage
    description: File storage interface (upload, download, list, etc.)
  - name: network
    description: Network requests/responses withing a session (intercept, etc.)
  - name: vaults
    description: >-
      Vault & Credentials management (create/delete vaults, create/delete
      credentials, etc.)
  - name: personas
    description: Persona management (create, delete, list emails, list sms, etc.)
  - name: scrape
    description: >-
      Webpage scraping (scrape, screenshot, etc.) with automatic session
      management.
  - name: health
    description: Health check endpoint.
  - name: usage
    description: Usage logs (usage, logs, etc.)
  - name: functions
    description: Functions management (create, delete, list, etc.)
paths:
  /personas/{persona_id}/emails:
    get:
      tags:
        - personas
      summary: Persona Emails List
      operationId: persona_emails_list
      parameters:
        - name: persona_id
          in: path
          required: true
          schema:
            type: string
            title: Persona Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: Maximum number of emails
            default: 10
            title: Limit
          description: Maximum number of emails
        - name: timedelta
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: duration
              - type: 'null'
            description: Maximum time since email reception
            title: Timedelta
          description: Maximum time since email reception
        - name: only_unread
          in: query
          required: false
          schema:
            type: boolean
            description: Whether to only return unread messages
            default: false
            title: Only Unread
          description: Whether to only return unread messages
        - name: x-notte-request-origin
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Notte-Request-Origin
        - name: x-notte-sdk-version
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Notte-Sdk-Version
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/EmailResponse'
                title: Response Persona Emails List Personas  Persona Id  Emails Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
      x-codeSamples:
        - lang: Python
          source: >-
            import datetime as dt


            from notte_sdk.client import NotteClient


            notte = NotteClient()

            # retrieve an existing persona or use console.notte.cc/personas to
            create a new one

            persona = notte.Persona("<my-persona-id>")

            # read recent emails (received in the past 5 minutes)

            recent_emails = persona.emails(
                only_unread=True,
                limit=10,
                timedelta=dt.timedelta(minutes=5),
            )

            print(f"Recent emails: {recent_emails}")
          label: python
        - lang: JavaScript
          source: >-
            import { NotteClient } from "notte-sdk";


            const notte = new NotteClient();

            // retrieve an existing persona or use console.notte.cc/personas to
            create a new one

            const persona = notte.Persona({ persona_id: "<my-persona-id>" });

            // read recent emails (received in the past 5 minutes)

            const recentEmails = await persona.emails({
              only_unread: true,
              limit: 10,
              timedelta: "5m",
            });

            console.log("Recent emails:", recentEmails);
          label: node
        - lang: Curl
          source: >-
            curl -X GET
            "https://api.notte.cc/personas/$persona_id/emails?limit=10&only_unread=true"
            \

            -H "Authorization: Bearer $NOTTE_API_KEY" \

            -H "Content-Type: application/json"
          label: curl
components:
  schemas:
    EmailResponse:
      properties:
        subject:
          type: string
          title: Subject
          description: Subject of the email
        email_id:
          type: string
          title: Email Id
          description: Email UUID
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Creation date
        sender_email:
          anyOf:
            - type: string
            - type: 'null'
          title: Sender Email
          description: Email address of the sender
        sender_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Sender Name
          description: Name (if available) of the sender
        text_content:
          anyOf:
            - type: string
            - type: 'null'
          title: Text Content
          description: Raw textual body, can be uncorrelated with html content
        html_content:
          anyOf:
            - type: string
            - type: 'null'
          title: Html Content
          description: HTML body, can be uncorrelated with raw content
      type: object
      required:
        - subject
        - email_id
        - created_at
        - sender_email
        - sender_name
      title: EmailResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: token

````